> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Check a verification

> Requires the `check:write` ability.



## OpenAPI

````yaml /api-reference/api.json post /verifications/{verification}/checks
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /verifications/{verification}/checks:
    post:
      tags:
        - Checks
      summary: Check a verification
      description: Requires the `check:write` ability.
      operationId: verifications.checks.store
      parameters:
        - name: verification
          in: path
          required: true
          description: 'The verification ID. Example: `ver_01jz8v2q4x...`'
          schema:
            type: string
        - name: fields[checks]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - submitted_data
                - result
                - created_at
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreCheckRequest'
      responses:
        '201':
          description: '`CheckResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CheckResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreCheckRequest:
      type: object
      properties:
        business_name:
          type:
            - string
            - 'null'
          description: >-
            Business name. Required when individual_name is omitted. One of
            individual or business must be present.
          maxLength: 255
        business_abn:
          type:
            - string
            - 'null'
          description: Australian Business Number (ABN). Must be 11 digits.
        account_name:
          type: string
          description: Bank account name.
          maxLength: 255
        account_bsb:
          type: string
          description: Bank State Branch (BSB) code. Must be 6 digits.
        account_number:
          type: string
          description: Bank account number. Must be 6-10 digits.
        individual_name:
          type:
            - string
            - 'null'
          description: >-
            Individual's full legal name. Required when business_name is
            omitted. One of individual or business must be present.

            Must include a space between first name(s) and last name (e.g.,
            "John Michael Doe").
          pattern: ^[^\s]+\s+[^\s]+
          maxLength: 255
        individual_mobile:
          type:
            - string
            - 'null'
          description: Individual's Australian mobile number.
        individual_email:
          type:
            - string
            - 'null'
          format: email
          description: Individual's email address.
      required:
        - account_name
        - account_bsb
        - account_number
      title: StoreCheckRequest
    CheckResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: checks
        attributes:
          type: object
          properties:
            submitted_data:
              type: string
              description: The submitted data for the check.
            result:
              $ref: '#/components/schemas/CheckResult'
              description: The result of the check.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
      required:
        - id
        - type
      title: CheckResource
    CheckResult:
      type: string
      enum:
        - uncompromised
        - compromised
      title: CheckResult
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````